Subject: Re: bug#2150: 23.0.90; rmail-ignored-headers is not autoloaded

From: Glenn Morris <[email-masked]>
Date: Mon, 02 Feb 2009 02:02:45 -0500

Eli Zaretskii wrote:

> In previous Emacs versions, rmail-ignored-headers was autoloaded, but
> not in 23.0.90.  This causes failures at startup if your ~/.emacs
> customizes that option.

That would depend on how you customize it (presumably you modify it in
some way that accesses the default value, rather than just setting it
unconditionally); but obviously just add the autoload back again if
it's causing problems.

(In general, some files seem to have been written under the assumption
that all defcustoms should be autoloaded. I think this is bogus, but
once this assumption has been made, it can become impossible to ever
take the autoloads away, for the reason you report here.)